package com.autentia.adictos.hs.dao;

import org.hibernate.Session;
import org.hibernate.SessionFactory;
import org.hibernate.context.ThreadLocalSessionContext;

public final class DaoFactory {

	private static HibernateDaoImpl dao;

	private DaoFactory() {
		// Clase de utilidad, singleton, no se pueden crear instancias
	}

	public static void init() {
		HibernateIgniter.init();
		final SessionFactory sessionFactory = HibernateIgniter.getSessionFactory();
		dao = new HibernateDaoImpl(sessionFactory);
	}

	public static void close() {
		HibernateIgniter.close();
	}

	static void openSession() {
		final Session sess = HibernateIgniter.getSessionFactory().openSession();
		ThreadLocalSessionContext.bind(sess);
	}

	static void closeSession() {
		HibernateIgniter.getSessionFactory().getCurrentSession().close();
		ThreadLocalSessionContext.unbind(HibernateIgniter.getSessionFactory());
	}

	public static HibernateDaoImpl getDao() {
		return dao;
	}
}
